Show / Hide Table of Contents

# Class OpenIddictServerEvents.BaseContext

Represents an abstract base class used for certain event contexts.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public abstract class BaseContext

### Constructors

#### BaseContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.BaseContext class.

##### Declaration

    protected BaseContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### EndpointType

Gets or sets the endpoint type that handled the request, if applicable.

##### Declaration

    public OpenIddictServerEndpointType EndpointType { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerEndpointType |

#### Issuer

Gets or sets the issuer address associated with the current transaction, if available.

##### Declaration

    public Uri? Issuer { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### Logger

Gets the logger responsible of logging processed operations.

##### Declaration

    public ILogger Logger { get; }

##### Property Value

Type | Description
--- | ---
ILogger |

#### Options

Gets the OpenIddict server options.

##### Declaration

    public OpenIddictServerOptions Options { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerOptions |

#### Transaction

Gets the environment associated with the current request being processed.

##### Declaration

    public OpenIddictServerTransaction Transaction { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerTransaction |